> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggregate artifacts of a kind



## OpenAPI

````yaml /public-openapi.json post /registry/v1/aggregate/{artifact_kind}
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /registry/v1/aggregate/{artifact_kind}:
    post:
      tags:
        - Core
      summary: Aggregate artifacts of a kind
      operationId: registry.aggregateKind
      parameters:
        - name: artifact_kind
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/registry-registry-AggregateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/registry-registry-AggregationResponse'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_json
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '415':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - unsupported_content_type
          description: HTTP 415 response.
        '422':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - validation_failed
          description: HTTP 422 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    registry-registry-AggregateRequest:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-FilterClause'
        group_by:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-DimensionSpec'
        is_all_versions_included:
          type:
            - boolean
            - 'null'
        is_archived_included:
          type:
            - boolean
            - 'null'
        is_system_included:
          type:
            - boolean
            - 'null'
        limit:
          type:
            - integer
            - 'null'
          format: int32
          maximum: 500
          minimum: 0
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-MetricSpec'
        offset:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        project_id:
          type:
            - string
            - 'null'
        sort:
          type: array
          items:
            type: string
        workspace_id:
          type:
            - string
            - 'null'
      additionalProperties: false
    registry-registry-AggregationResponse:
      type: object
      required:
        - groups
        - page
      properties:
        groups:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-AggregationGroupView'
        page:
          $ref: '#/components/schemas/registry-registry-PageMeta'
    registry-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    registry-registry-FilterClause:
      type: object
      required:
        - field
      properties:
        field:
          type: string
        op:
          type:
            - string
            - 'null'
        value:
          type:
            - string
            - 'null'
        values:
          type:
            - array
            - 'null'
          items:
            type: string
    registry-registry-DimensionSpec:
      type: object
      required:
        - field
      properties:
        bucket:
          type:
            - string
            - 'null'
        field:
          type: string
    registry-registry-MetricSpec:
      type: object
      required:
        - op
      properties:
        alias:
          type:
            - string
            - 'null'
        field:
          type:
            - string
            - 'null'
        op:
          type: string
    registry-registry-AggregationGroupView:
      type: object
      required:
        - key
        - metrics
      properties:
        key:
          type: object
          additionalProperties: {}
          propertyNames:
            type: string
        metrics:
          type: object
          additionalProperties: {}
          propertyNames:
            type: string
    registry-registry-PageMeta:
      type: object
      required:
        - limit
        - offset
      properties:
        limit:
          type: integer
          format: int32
          minimum: 0
        next_cursor:
          type:
            - string
            - 'null'
        offset:
          type: integer
          format: int32
          minimum: 0
        total:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````